System Requirements

These are the minimum requirements to use BrainPOP and its features.

IN THIS ARTICLE

Windows PC
Apple Mac
Additional Plugins
Mobile Devices
Frequently Asked Questions

Windows PC

Operating System

  • Windows 7 and later

Note: As of September 2018, we are no longer supporting the use of Internet Explorer 11 to access BrainPOP. We recommend using a compatible browser such as Chrome or Firefox.

Browsers

  • We recommend the latest versions of Google Chrome, Firefox or Microsoft EDGE.

Apple Mac

Operating System

  • OS X 10.12 (Sierra) and later

Browsers

  • We recommend the latest versions of Google Chrome, Firefox, or Safari.

Additional Plugins

  • JavaScript must be enabled on your browser.
  • Adobe Flash is required for access to some of our features, including the BrainPOP Activity Pages, Talk About It (BrainPOP Jr.), Play It (BrainPOP ELL), Practice (BrainPOP ELL), and some GameUp games.

Mobile Devices

  • Apple iOS 8 and later
  • Android Lollipop (5.1.1) and later
  • Windows 10


Frequently Asked Questions

Why do I receive a “No compatible source was found for this media” error message when I play movies?

Unfortunately, Internet Explorer versions on Windows 7 or earlier do not support the BrainPOP ELL movie player. As of February 2018, Internet Explorer on Windows 7 or earlier will also not support movies on BrainPOP, BrainPOP Jr., BrainPOP Español and Français. We recommend using another browser such as Chrome or Firefox or updating your operating system.

Still need help? Contact Us Contact Us